Get Refund Details
1 min
API that returns clients refund orders matching the requestId. This api requires access token that can be generated using Access TokenAccess Token API.
The response is a list of refund orders which matches the given criteria.
- status : For list of possible refund status please refer : Order Status
- requestId : Unique ID passed during Order creation
- fiatAmount : Currency Amount
- errorReason : Contains errorCode and errorDesc. List of possible Error CodesError Codes
Get Refund Details
Get order details by client's request-id
GET
https://your-hostname.pay3.app/v1/client/fiat-refunds?requestId=your-request-id&clientId=your-client-id
Query Parameters
- requestIdstringrequiredDescription
- clientIdstringrequiredDescription
Header Parameters
- access-tokenstringrequiredDescription
curl
curl --location 'https://your-hostname.pay3.app/v1/client/fiat-refunds?requestId=your-request-id&clientId=your-client-id' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'access-token: ACCESS-TOKEN-IN-JWT'200
{
"data":
[ {
"requestId": "9824649238",
"refundId": "a35dc551-9fb4-491c-9f9b-44d9c2ef4b32",
"fiatAmount": "0.02",
"status": "REFUND_INITIATED"
}],
"errorReason": {
"errorCode": "9006.1",
"errorDesc": "There was an issue with Refund transaction."
}
}401
{"error":"Client verification failed"}